List connected accounts
List all connected accounts accessible to the current actor.
If the current actor is a user (for example, authenticated via JWT), then this returns all connected accounts the user has permission to view. Otherwise, this returns all connected accounts belonging to the current account.
Authorization
authorization In: header
Query Parameters
Page number
1 <= valueNumber of items per page
1 <= valueOnly return connected accounts that belong to the specified user.
Only return connected accounts for the specified provider.
Value in
- "google"
- "microsoft"
- "zoom_admin"
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/connected_accounts"{ "data": [ { "connection_scope": "user", "created_at": "2025-03-12T12:34:55Z", "display_name": "John Doe", "email": "user@example.com", "external_account_id": null, "external_subject": "123456789", "id": "cact_d025a96ac0c6", "object": "connected_account", "provider": "google", "status": "active", "updated_at": "2025-03-13T10:11:12Z", "user_id": "user_d025a96ac0c6" } ], "meta": { "current_page": 1, "page_size": 10, "total_count": 50, "total_pages": 5 }}List external users GET
List the external users synced from a connected account (e.g., the users on a connected Zoom account). Returns a 404 when the connected account does not exist, is not accessible to the current actor, or is not a conferencing connected account.
List user mappings GET
List the default user mappings between providers and external users for a connected account. Mappings whose provider has been deactivated are not included. Returns a 404 when the connected account does not exist, is not accessible to the current actor, or is not a conferencing connected account.